Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
hosting
/
{id}
/
emails
/
create
[Emails] Create email account
curl --request POST \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/emails/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "password": "<string>",
  "quota_mb": 250
}
'
{
  "email": "jsmith@example.com",
  "user": "<string>",
  "domain": "<string>",
  "quota_mb": 123,
  "quota_used_mb": 123,
  "is_main": false
}

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string<uuid>
required

Web hosting unique identifier

organization_id
string<uuid>
required

Organization unique identifier

project_id
string<uuid>
required

Project unique identifier

Body

application/json
email
string<email>
required
password
string
required
write-only
Minimum string length: 8
quota_mb
integer
default:250
Required range: x >= 0

Response

Email account created successfully

email
string<email>
required
user
string
required
domain
string
required
quota_mb
integer
required
quota_used_mb
integer
required
is_main
boolean
default:false